CVE-2002-0198
CVSS10.0
发布时间 :2002-05-16 00:00:00
修订时间 :2016-10-17 22:16:59
NMCOS    

[原文]Buffer overflow in plDaniels ripMime 1.2.6 and earlier, as used in other programs such as xamime and inflex, allows remote attackers to execute arbitrary code via an attachment in a long filename.


[CNNVD]RipMime Mime头长文件名缓冲区溢出漏洞(CNNVD-200205-014)

        
        ripMime随Inflex(一种Email附件病毒过滤工具)发放,也随Inflex的商业版本XaMime
        发放,可运行于绝大多数Unix/Linux系统上。
        ripMime在处理文件名的时候存在一个本地缓冲区溢出漏洞。在适当的命令选项用超长的文件名(大于2079个字符)作参数可以覆盖EIP寄存器。攻击者可以利用这个问题执行自己的代码,从而可能提升权限。
        

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:paul_l_daniels:ripmime:1.2.5
cpe:/a:paul_l_daniels:ripmime:1.2.6
cpe:/a:paul_l_daniels:ripmime:1.2.0
cpe:/a:paul_l_daniels:ripmime:1.2.3
cpe:/a:paul_l_daniels:inflex:1.0.10
cpe:/a:paul_l_daniels:ripmime:1.2.1
cpe:/a:paul_l_daniels:ripmime:1.2.4
cpe:/a:paul_l_daniels:ripmime:1.2.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0198
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0198
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200205-014
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=101182636812381&w=2
(UNKNOWN)  BUGTRAQ  20020122 pldaniels - ripMime 1.2.6 and lower?
http://pldaniels.org/ripmime/CHANGELOG
(UNKNOWN)  CONFIRM  http://pldaniels.org/ripmime/CHANGELOG
http://www.iss.net/security_center/static/7983.php
(VENDOR_ADVISORY)  XF  ripmime-long-filename-bo(7983)
http://www.securityfocus.com/bid/3941
(UNKNOWN)  BID  3941

- 漏洞信息

RipMime Mime头长文件名缓冲区溢出漏洞
危急 边界条件错误
2002-05-16 00:00:00 2005-10-20 00:00:00
本地  
        
        ripMime随Inflex(一种Email附件病毒过滤工具)发放,也随Inflex的商业版本XaMime
        发放,可运行于绝大多数Unix/Linux系统上。
        ripMime在处理文件名的时候存在一个本地缓冲区溢出漏洞。在适当的命令选项用超长的文件名(大于2079个字符)作参数可以覆盖EIP寄存器。攻击者可以利用这个问题执行自己的代码,从而可能提升权限。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 暂时停止使用RipMime。
        厂商补丁:
        PLDaniels/PLD
        -------------
        目前厂商已经发布了1.2.7版本以修复这个安全问题,请到厂商的主页下载:
        
        http://pldaniels.org/ripmime/ripmime-1.2.7.tar.gz

- 漏洞信息

8340
ripMIME Long File Name Overflow
Local Access Required Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

A local overflow exists in ripMIME. The e-mail filter fails to properly handle overly long file names containing 2079 characters or more when passed via certain command-line options, resulting in a buffer overflow. With a specially crafted request, an attacker can execute arbitrary code resulting in a loss of integrity.

- 时间线

2002-01-22 Unknow
2002-01-22 Unknow

- 解决方案

Upgrade to version 1.2.7 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

RipMime Mime_Header Long Filename Buffer Overflow Vulnerability
Boundary Condition Error 3941
No Yes
2002-01-23 12:00:00 2009-07-11 09:56:00
This issue was initially announced in the ripMime changelog. Tristan Aston is credited with discovering and reporting this issue. Posted to Bugtraq by KF <dotslash@snosoft.com>.

- 受影响的程序版本

plDaniels ripMime 1.2.6
+ plDaniels Inflex 1.0 .11
plDaniels ripMime 1.2.5
+ plDaniels Inflex 1.0 .11
plDaniels ripMime 1.2.4
- FreeBSD FreeBSD 5.0
+ plDaniels Inflex 1.0 .10
plDaniels ripMime 1.2.3
plDaniels ripMime 1.2.2
plDaniels ripMime 1.2.1
plDaniels ripMime 1.2 .0
plDaniels ripMime 1.2.7
- FreeBSD FreeBSD 5.0
+ plDaniels Inflex 1.0 .11

- 不受影响的程序版本

plDaniels ripMime 1.2.7
- FreeBSD FreeBSD 5.0
+ plDaniels Inflex 1.0 .11

- 漏洞讨论

ripMime ships with the the Inflex e-mail virus scanning utility. It also is distributed with the commercial version of XaMime, which is the commercial version of Inflex. Inflex/XaMime/ripMime will run on most Linux and Unix variants.

A locally exploitable buffer overflow has been discovered in ripMime's handling of filenames. Passing an excessively long filename (2079+ characters) through the appropriate command line switches causes the EIP to be overwritten. An attacker may exploit this situation to execute arbitrary code, potentially resulting in an elevation of privileges.

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com &lt;mailto:vuldb@securityfocus.com&gt;.

- 解决方案

The vendor has addressed this issue in versions 1.2.7 and later of the affected software.


plDaniels ripMime 1.2 .0

plDaniels ripMime 1.2.1

plDaniels ripMime 1.2.2

plDaniels ripMime 1.2.3

plDaniels ripMime 1.2.4

plDaniels ripMime 1.2.5

plDaniels ripMime 1.2.6

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站